# Get All Addresses

The `getAllAddresses` function fetches the wallet addresses of the web wallets in the browser extension.

{% hint style="info" %}
The ACCESS\_ALL\_ADDRESSES permission must be granted either while calling `connect()` or `getPermissions()` in order to successfully use this function. Read more about permissions [here](https://github.com/arconnectio/ArConnect#permissions).&#x20;
{% endhint %}

### Basic Syntax

The function is called as follows:

```javascript
import { ArConnect } from 'arweavekit/auth'

const response = await ArConnect.getAllAddresses();
```

### Returned Data

The function call returns the following data:

```bash
[
    'WALLET_ADDRESS_1',
    'WALLET_ADDRESS_2'
]
```

* `walletAddresses: array`: A list of all the added wallet addresses.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.arweavekit.com/auth/get-all-addresses.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
